curl --request POST \
--url https://api.tokenfactory.nebius.com/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"model": "BAAI/bge-en-icl",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
EOFimport requests
url = "https://api.tokenfactory.nebius.com/v1/embeddings"
payload = {
"model": "BAAI/bge-en-icl",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'BAAI/bge-en-icl',
input: 'What\'s a nice vector, Victor?',
encoding_format: 'float',
user: '<string>',
service_tier: 'auto',
dimensions: 4096
})
};
fetch('https://api.tokenfactory.nebius.com/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tokenfactory.nebius.com/v1/embeddings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'BAAI/bge-en-icl',
'input' => 'What\'s a nice vector, Victor?',
'encoding_format' => 'float',
'user' => '<string>',
'service_tier' => 'auto',
'dimensions' => 4096
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tokenfactory.nebius.com/v1/embeddings"
payload := strings.NewReader("{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tokenfactory.nebius.com/v1/embeddings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tokenfactory.nebius.com/v1/embeddings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}"
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
0.0023064255,
-0.009327292,
-0.0028842222
],
"index": 0
}
],
"model": "BAAI/bge-en-icl",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}{
"error": {
"type": "invalid_request_error",
"message": "body.model: Field required"
},
"detail": "Invalid request. Please check the parameters and try again. Details: body.model: Field required"
}Create embeddings
Creates a model response for the given text.
curl --request POST \
--url https://api.tokenfactory.nebius.com/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"model": "BAAI/bge-en-icl",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
EOFimport requests
url = "https://api.tokenfactory.nebius.com/v1/embeddings"
payload = {
"model": "BAAI/bge-en-icl",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'BAAI/bge-en-icl',
input: 'What\'s a nice vector, Victor?',
encoding_format: 'float',
user: '<string>',
service_tier: 'auto',
dimensions: 4096
})
};
fetch('https://api.tokenfactory.nebius.com/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tokenfactory.nebius.com/v1/embeddings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'BAAI/bge-en-icl',
'input' => 'What\'s a nice vector, Victor?',
'encoding_format' => 'float',
'user' => '<string>',
'service_tier' => 'auto',
'dimensions' => 4096
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tokenfactory.nebius.com/v1/embeddings"
payload := strings.NewReader("{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tokenfactory.nebius.com/v1/embeddings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tokenfactory.nebius.com/v1/embeddings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"BAAI/bge-en-icl\",\n \"input\": \"What's a nice vector, Victor?\",\n \"encoding_format\": \"float\",\n \"user\": \"<string>\",\n \"service_tier\": \"auto\",\n \"dimensions\": 4096\n}"
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
0.0023064255,
-0.009327292,
-0.0028842222
],
"index": 0
}
],
"model": "BAAI/bge-en-icl",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}{
"error": {
"type": "invalid_request_error",
"message": "body.model: Field required"
},
"detail": "Invalid request. Please check the parameters and try again. Details: body.model: Field required"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
current project ID
Body
https://raw.githubusercontent.com/openai/openai-openapi/refs/heads/main/openapi.yaml CreateEmbeddingRequest
ID of the model to use.
"BAAI/bge-en-icl"
Input text to embed, encoded as a string or array of tokens.
"What's a nice vector, Victor?"
The format to return the embeddings in. Can be either float or base64.
A unique identifier representing your end-user.
The service tier to use for the request.
auto, default, over-limit, flex, no-limit "auto"
"flex"
The dimensions to use for the request.
4096
Response
OK
always 'list'.
The model used for the embedding.
Token usage stats.
Show child attributes
Show child attributes
List of Embedding objects
Show child attributes
Show child attributes
The service tier used for the request.
auto, default, over-limit, flex, no-limit Was this page helpful?